Package org.eclipse.birt.core.data

# Interface IColumnBinding

public interface IColumnBinding
The instance of this interface defines a name-expression pair of column binding.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBoundExpression()`
Return the bound expression.
`int`
`getOuterLevel()`
Get the outer level of column expression
`String`
`getResultSetColumnName()`
Return the name of result set column.

## Method Details

### getResultSetColumnName

String getResultSetColumnName()
Return the name of result set column.

Returns:

### getBoundExpression

String getBoundExpression()
Return the bound expression.

Returns:

### getOuterLevel

int getOuterLevel()
Get the outer level of column expression

Returns: